Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.spatial
Class PathType

    Object
      CodeList<E>
          SimpleEnumerationType<PathType>
              PathType

All Implemented Interfaces:
  Serializable, Comparable<PathType>

Direct Known Subclasses:
  GlobalPathType, UnprojectedPathType, VectorPathType

    public class PathType

extends SimpleEnumerationType<PathType>

This class serves as the base class for objects that represent the various methods for computing a path between two locations. Singleton instances of PathType will exist to represent for example a path of constant bearing (rhumbline), or a great circle path.

Path type is an algorithmic sequence of interpolation and projection.

- For rhumbline, great circle, and vector, first interpolation is done on the verteces, which gives in-between points. These in-between points are then projected into the display space, which converts them to display points.
- For pixel-straight and spline, the verteces are first projected into the display space as display points. These display points are interpolated, which generates in-between display points.

For each path type, an implementations will iteratively apply the respective algorithms until the appropriate display resolution is reached.

Path Type | Interpolation Method
rhumbline | constant bearing
great circle | geodesic
vector | linear in worldspace (interpolation before projection)
pixel-straight | linear in display space (interpolation after projection)
spline | cubic in display space (interpolation after projection)

See Also:
  Serialized Form

Constructor Summary
`protected` | `PathType(String name, String description)` Creates a new `PathType` with the given name.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PathType[]` | `values()` Returns the list of `PathType`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathType

    protected PathType(String name,
                       String description)

  Creates a new `PathType` with the given name.

  Parameters:
    `name` - the short name for the enum.
    `description` - the description for the enum.

Method Detail

### values

    public static PathType[] values()

  Returns the list of `PathType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<PathType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.